View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
16764Bug reportsTranslationpublic2021-01-21 14:20
Reporterictfinance Assigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.24.2 
Summary16764: Language changer in navigation bar displays some languages in the current language instead of native language
DescriptionFor a survey with several languages (French, Dutch, German, English), the language changer in the nav bar is not working properly: languages displayed should appear in their native language: "Français", "Nederlands", "Deutsch", "English". But If current language is German, the language changer displays following values : "Deutsch", "Englisch", "Français", "Nederlands" -> Note that "English" is displayed here in German. If you switch to French, following values are displayed: "Deutsch", "Anglais", "Français", "Nederlands" -> note that "English" is displayed in French
Steps To Reproduce1) Add new survey
2) add languages French, Dutch and German
3) add some questions
4) preview survey in German -> language changer in nav bar displays "Englisch" instead of English
5) preview survey in French -> language changer in nav bar displays "Anglais" instead of English
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)Version 3.24.2+201020
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql Ver 14.14 Distrib 5.7.31
Server OS (if known) Ubuntu 18.04.5
Webserver software & version (if known)
PHP Version7.2.24

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ictfinance

ictfinance

2020-10-20 16:28

reporter   ~60315

We use the vanilla theme
ictfinance

ictfinance

2020-10-20 17:09

reporter   ~60316

in twig file /var/www/limesurvey/themes/survey/vanilla/views/subviews/navigation/language_changer_top_menu.twig language name is displayed using gT() function. This seems to translate the language name. I removed the function: gt(lang) -> lang
Jelle_S

Jelle_S

2020-12-14 10:04

reporter   ~60940

Created a PR based on de described fix.

https://github.com/LimeSurvey/LimeSurvey/pull/1691
Jelle_S

Jelle_S

2020-12-14 18:19

reporter   ~60946

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30801
lime_release_bot

lime_release_bot

2020-12-28 10:42

administrator   ~61176

Fixed in Release 4.3.32+201221
Mazi

Mazi

2021-01-21 14:20

partner   ~61626

@cdorin, the fix only applies to the vanilla theme. Did anyone double check if the other templates are affected as well?

Related Changesets

LimeSurvey: master 1960ec4f

2020-12-14 09:56:11

Jelle_S

Details Diff
Fixed issue 16764: Language changer displays languages in current language instead of native language Affected Issues
16764
mod - themes/survey/vanilla/views/subviews/navigation/language_changer_top_menu.twig Diff File

LimeSurvey: master 5ccd0407

2020-12-14 18:18:54

ollehar


Committer: GitHub Details Diff
Fixed issue 16764: Language changer displays languages in current language instead of native language

Merge pull request #1691 from digipolisgent/bug/16764
Affected Issues
16764
mod - themes/survey/vanilla/views/subviews/navigation/language_changer_top_menu.twig Diff File

Issue History

Date Modified Username Field Change
2020-10-20 16:21 ictfinance New Issue
2020-10-20 16:28 ictfinance Note Added: 60315
2020-10-20 17:09 ictfinance Note Added: 60316
2020-12-14 10:04 Jelle_S Note Added: 60940
2020-12-14 18:19 ollehar Changeset attached => LimeSurvey master 5ccd0407
2020-12-14 18:19 Jelle_S Changeset attached => LimeSurvey master 1960ec4f
2020-12-14 18:19 Jelle_S Note Added: 60946
2020-12-28 10:42 lime_release_bot Note Added: 61176
2020-12-28 10:42 lime_release_bot Status new => closed
2020-12-28 10:42 lime_release_bot Resolution open => fixed
2021-01-21 14:20 Mazi Note Added: 61626